Bug 212813 - devel/llvm39: lit not properly installed [PATCH]
Summary: devel/llvm39: lit not properly installed [PATCH]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-19 07:31 UTC by Dirk Schroetter
Modified: 2017-09-20 00:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments
Makefile diff for top-level package Makefile (level/llvm39) (1.14 KB, patch)
2016-09-19 07:31 UTC, Dirk Schroetter
no flags Details | Diff
pkg-lplist patch (478 bytes, patch)
2016-09-19 07:32 UTC, Dirk Schroetter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Schroetter 2016-09-19 07:31:34 UTC
Created attachment 174942 [details]
Makefile diff for top-level package Makefile (level/llvm39)

It appears that the lit tool is not properly installed:

1. The 'formats' subdirectory is not installed in the python site-packages/lit<version> directory
2. The python files in the 'formats' subdirectory are not patched to include the LLVM_VERSION (from lit.xxx import instead of from lit39.xxx import)

Patches for LLVM39 Makefile and pkg-plist included here.
Comment 1 Dirk Schroetter 2016-09-19 07:32:39 UTC
Created attachment 174943 [details]
pkg-lplist patch
Comment 2 commit-hook freebsd_committer 2016-11-02 16:06:39 UTC
A commit references this bug:

Author: brooks
Date: Wed Nov  2 16:06:10 UTC 2016
New revision: 425161
URL: https://svnweb.freebsd.org/changeset/ports/425161

Log:
  Install missing lit components.

  PR:		212813
  Submitted by:	Dirk Schroetter <dschroetter@gmail.com>

Changes:
  head/devel/llvm39/Makefile
  head/devel/llvm39/pkg-plist
Comment 3 Brooks Davis freebsd_committer 2017-09-20 00:06:26 UTC
It appears I fixed this a while ago.  Not sure why I kept it open.  Please open a new one if there are issues with other llvm versions.